Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.conn
Class DataSourceInfo

    java.lang.Object
      org.apache.cayenne.conn.DataSourceInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DataSourceInfo

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Helper JavaBean class that holds DataSource login information.

For more information see Cayenne User Guide.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `adapterClassName`
`protected java.lang.String` | `dataSourceUrl`
`protected java.lang.String` | `jdbcDriver`
`protected int` | `maxConnections`
`protected int` | `minConnections`
`protected java.lang.String` | `password`
`protected java.lang.String` | `userName`

Constructor Summary
`DataSourceInfo()`

Method Summary
`DataSourceInfo` | `cloneInfo()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getAdapterClassName()`
`java.lang.String` | `getDataSourceUrl()`
`java.lang.String` | `getJdbcDriver()`
`int` | `getMaxConnections()`
`int` | `getMinConnections()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getUserName()`
`void` | `setAdapterClassName(java.lang.String adapterClassName)`
`void` | `setDataSourceUrl(java.lang.String dataSourceUrl)`
`void` | `setJdbcDriver(java.lang.String jdbcDriver)`
`void` | `setMaxConnections(int maxConnections)`
`void` | `setMinConnections(int minConnections)`
`void` | `setPassword(java.lang.String password)`
`void` | `setUserName(java.lang.String userName)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### userName

    protected java.lang.String userName

### password

    protected java.lang.String password

### jdbcDriver

    protected java.lang.String jdbcDriver

### dataSourceUrl

    protected java.lang.String dataSourceUrl

### adapterClassName

    protected java.lang.String adapterClassName

### minConnections

    protected int minConnections

### maxConnections

    protected int maxConnections

Constructor Detail

### DataSourceInfo

    public DataSourceInfo()

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### cloneInfo

    public DataSourceInfo cloneInfo()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getAdapterClassName

    public java.lang.String getAdapterClassName()

### setAdapterClassName

    public void setAdapterClassName(java.lang.String adapterClassName)

### setMinConnections

    public void setMinConnections(int minConnections)

### getMinConnections

    public int getMinConnections()

### setMaxConnections

    public void setMaxConnections(int maxConnections)

### getMaxConnections

    public int getMaxConnections()

### setUserName

    public void setUserName(java.lang.String userName)

### getUserName

    public java.lang.String getUserName()

### setPassword

    public void setPassword(java.lang.String password)

### getPassword

    public java.lang.String getPassword()

### setJdbcDriver

    public void setJdbcDriver(java.lang.String jdbcDriver)

### getJdbcDriver

    public java.lang.String getJdbcDriver()

### setDataSourceUrl

    public void setDataSourceUrl(java.lang.String dataSourceUrl)

### getDataSourceUrl

    public java.lang.String getDataSourceUrl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.